# This file is part of Tryton.  The COPYRIGHT file at the top level of
# this repository contains the full copyright notices and license terms.
import unittest
import doctest
import trytond.tests.test_tryton
from trytond.tests.test_tryton import ModuleTestCase
from trytond.tests.test_tryton import doctest_teardown, doctest_checker

from trytond.modules.company.tests import CompanyTestMixin


class AccountDunningLetterTestCase(CompanyTestMixin, ModuleTestCase):
    'Test AccountDunningLetter module'
    module = 'account_dunning_letter'


def suite():
    suite = trytond.tests.test_tryton.suite()
    suite.addTests(unittest.TestLoader().loadTestsFromTestCase(
        AccountDunningLetterTestCase))
    suite.addTests(doctest.DocFileSuite('scenario_account_dunning_letter.rst',
            tearDown=doctest_teardown, encoding='utf-8',
            checker=doctest_checker,
            optionflags=doctest.REPORT_ONLY_FIRST_FAILURE))
    return suite
